%define staticdevelname %mklibname %{name} -d -s
%define realver 2.6.33

Summary:	Advanced IP routing and network device configuration tools
Name:		iproute2
Version:	%(echo %realver | sed -e 's/-/./')
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/Other
Url:		http://www.linuxfoundation.org/en/Net:Iproute2
Source0:	http://devresources.linux-foundation.org/dev/iproute2/download/%{name}-%{realver}.tar.bz2
# RH patches
# rediffed from Cross LFS: http://ftp.osuosl.org/pub/clfs/clfs-packages/svn/
# (tpg) partially upstream accepted
Patch8:		iproute2-2.6.31-libdir.patch
# MDK patches
Patch100:	iproute2-def-echo.patch
Patch102:	iproute2-2.4.7-bashfix.patch
Patch106:	iproute2-2.6.X-ss040702-build-fix.patch
Patch107:	iproute2-2.6.28-segfault.patch
Patch108:	iproute2-2.6.28-format_not_a_string_literal_and_no_format_arguments.patch
Patch109:	iproute2-2.6.29-1-IPPROTO_IP_for_SA.patch
Patch110:	iproute2-2.6.31-q_atm-ld-uneeded.patch
BuildRequires:	bison
BuildRequires:	db4-devel
BuildRequires:	flex
BuildRequires:	kernel-source
BuildRequires:	linuxdoc-tools
BuildRequires:	linux-atm-devel
BuildRequires:	iptables-devel
Requires:	iputils
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The iproute package contains networking utilities (ip, tc and rtmon, for
example) which are designed to use the advanced networking capabilities of the
Linux 2.2.x kernels and later,  such as policy routing, fast NAT and packet
scheduling.

%package -n %{staticdevelname}
Summary:	Development files for iproute2
Group:		Development/C
Provides:	iproute2-devel = %{version}-%{release}

%description -n	%{staticdevelname}
The iproute package contains networking utilities (ip, tc and rtmon, for
example) which are designed to use the advanced networking capabilities of the
Linux 2.2.x kernels and later,  such as policy routing, fast NAT and packet
scheduling.

This package contains development files for iproute2.

%package doc
Summary:	Documentation for Advanced IP routing and network device configuration tools
Group:		Networking/Other

%description doc
Documentation for iproute2.

%prep

%setup -qn %{name}-%{realver}
%patch8 -p1 -b .libdir

%patch100 -p0
%patch102 -p1 -b .bashfix
%patch106 -p1 -b .build
%patch107 -p1 -b .segv
%patch108 -p1
%patch109 -p1
%patch110 -p1

%build
%serverbuild
%setup_compile_flags
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CCOPTS="%{optflags} -ggdb -fno-strict-aliasing"
export SBINDIR=/sbin
export LIBDIR=/%{_lib}
export ARPDIR=/var/lib
export INCLUDEDIR=%{_includedir}
export IPT_LIB_DIR=/%{_lib}/iptables

# (tpg) don't use macro here
./configure

%make KERNEL_INCLUDE=/usr/src/linux/include LIBDIR=/%{_lib}
# Doc generation fails with -j24 (ecrm1000 used before generation)
make -C doc

%install
rm -rf %{buildroot}

%makeinstall_std SBINDIR=/sbin LIBDIR=/%{_lib} ARPDIR=/var/lib MANDIR=%{_mandir} DOCDIR=%{_docdir}/%{name}-%{version}

mv %{buildroot}/sbin/arpd %{buildroot}/sbin/iproute-arpd

# development files
install -d %{buildroot}%{_includedir}
install -m0644 lib/libnetlink.a %{buildroot}/%{_lib}/
install -m0644 include/libnetlink.h %{buildroot}%{_includedir}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/iproute2
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/iproute2/*
/sbin/*
/%{_lib}/tc
%{_mandir}/man8/*
%{_mandir}/man3/*

%files -n %{staticdevelname}
%defattr (-,root,root)
%{_includedir}/*.h
/%{_lib}/*.a

%files doc
%defattr (-,root,root)
%doc README README.iproute2+tc RELNOTES README.decnet
%doc doc/*.dvi doc/*.ps doc/Plan
%doc %{_docdir}/%{name}-%{version}/*.sgml
%doc %{_docdir}/%{name}-%{version}/*.tex
%doc %{_docdir}/%{name}-%{version}/examples


%changelog
* Thu Feb 25 2010 Thomas Backlund <tmb@mandriva.org> 2.6.33-1mdv2010.1
+ Revision: 511233
- update to 2.6.33

* Tue Jan 05 2010 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 2.6.31-1mdv2010.1
+ Revision: 486443
- Updated to 2.6.31
- Drop iproute2-2.6.29-1-display_ip4ip6tunnels.patch (merged).
- Fix up iproute2-2.6.28-format_not_a_string_literal_and_no_format_arguments.patch
  (drop uneeded hunks with 2.6.31, fix snprintf usage)
- Rediffed libdir patch.
- Fix q_atm.so build with Mandriva default linker flags.

* Wed Dec 30 2009 Pascal Terjan <pterjan@mandriva.org> 2.6.29.1-2mdv2010.1
+ Revision: 484227
- Disable parallel build for doc

* Sat Jun 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.29.1-1mdv2010.0
+ Revision: 387461
- update to new version 2.6.29-1
- Patch8: rediff
- Patch109: shared SA for different protocols
- Patch110: display ipv4 to ipv6 tunnels
- correctly export path to iptables
- add buildrequires on iptables-devel

* Thu Apr 02 2009 Eugeni Dodonov <eugeni@mandriva.com> 2.6.28-2mdv2009.1
+ Revision: 363604
- Do not overwrite current man files with old ones (#49122).

* Thu Jan 29 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.6.28-1mdv2009.1
+ Revision: 335287
- fix url
- Patch8: rediff and merge with patch 101
- drop patch 6 and 105, fixed differently by upstream
- Patch107: fix segfault (Fedora)
- do not remove q_atm.so
- compile with %%ldflags
- since this release everything goes to /%%_lib instead of %%_libdir
- fixed path to iptables libraries
- update to new version 2.6.28

* Mon Dec 15 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.26-2mdv2009.1
+ Revision: 314493
- rediffed the fuzzy P100 patch
- rebuilt against db4.7

* Wed Jul 30 2008 Olivier Blin <oblin@mandriva.com> 2.6.26-1mdv2009.0
+ Revision: 255581
- workaround weird upstream DESTDIR fix
- allow to override ccopts (feature was incorrectly included in libdir patch previously)
- rediff libdir patch
- 2.6.26

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - looks like i forgot to merge iproute2 branch with current
    - Patch8: rediff
    - build with %%serverbuild macro
    - set iptables path

* Sat Jul 12 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.25-4mdv2009.0
+ Revision: 234061
- fix libified devel package naming

* Sat Jul 12 2008 Oden Eriksson <oeriksson@mandriva.com> 2.6.25-3mdv2009.0
+ Revision: 234014
- bump release
- fix #41971

  + Olivier Blin <oblin@mandriva.com>
    - 2.6.25
    - rediff libdir patch
    - remove merged oldkernel patch

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - add upstream patch for compatibility with old kernels (fix #40629)

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 2.6.25-1mdv2009.0
+ Revision: 140782
- restore BuildRoot

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.6.23-1mdv2008.1
+ Revision: 136513
- replace our libdir patch with one from Cross LFS
- 2.6.23

* Fri Dec 21 2007 Oden Eriksson <oeriksson@mandriva.com> 2.6.20-2mdv2008.1
+ Revision: 136275
- rebuilt against bdb 4.6 libs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu May 31 2007 Christiaan Welvaart <spturtle@mandriva.org> 2.6.20-1mdv2008.0
+ Revision: 33147
- release 070313
- drop version from kernel-source build dependency because the provides are not versioned

  + Olivier Blin <oblin@mandriva.com>
    - update url


* Sat Dec 09 2006 Olivier Blin <oblin@mandriva.com> 2.6.16-4mdv2007.0
+ Revision: 94021
- use RH patch to fix libdir in tc
- fix x86_64 build
- install arpd as iproute-arpd (#27531)
- use make install to simplify (and to install ifstat, lnstat, rtpr, and more doc)

  + Michael Scherer <misc@mandriva.org>
    - Import iproute2

* Sun Apr 09 2006 Michael Scherer <misc@mandriva.org> 2.6.16-3mdk
- also add distribution table

* Sun Apr 09 2006 Michael Scherer <misc@mandriva.org> 2.6.16-2mdk
- add missing lib, fix #21921

* Fri Apr 07 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.6.16-1mdk
- new release

* Wed Jan 25 2006 Samir Bellabes <sbellabes@mandriva.com> 2.6.15-3mdk
- add /sbin/ss

* Fri Jan 20 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.6.15-2mdk
- add BuildRequires: flex

* Thu Jan 19 2006 Thierry Vignaud <tvignaud@mandriva.com> 2.6.15-1mdk
- 20060110 snapshot

* Sat Jun 18 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.10-2mdk
- 20050607 snapshot

* Mon Jan 31 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.10-1mdk
- 20050124 snapshot

* Thu Jan 06 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.9-1mdk
- 20041019 snapshot

* Mon Aug 30 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-3mdk
- 20040823 snapshot

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-2mdk
- 20040730 snapshot

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.8-1mdk
- 20040702 snapshot

* Wed Jul 21 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.7-4mdk
- new snapshot
- fix buildrequires
- kill patches 4, 9
- redo patch 6, 106

* Fri Jul 02 2004 Pixel <pixel@mandrakesoft.com> 2.6.7-3mdk
- move documentation to iproute2-doc 
  (for space since iproute2 is always installed since it is required by initscripts)

* Sat Jun 26 2004 Stefan van der Eijk <stefan@mandrake.org> 2.6.7-2mdk
- BuildRequires: bison linuxdoc-tools

* Fri Jun 18 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.7-1mdk
- new release
- kill patches 1, 2, 8, 103, 104 (merged upstream)
- disable patch 105 for now
- patch 106: fix build with libdb-4.1
- fix buildrequires

